@rem This is a customized version of https://github.com/gradle/gradle/blob/master/subprojects/plugins/src/main/resources/org/gradle/api/internal/plugins/windowsStartScript.txt

@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  ts-log4shell-patch startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and TS_LOG4SHELL_PATCH_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if "%2" == "" (
	echo.
	echo ERROR: Please specify a TopSpin installation dir with argument -d ^<TS installation dir^>.
	echo E.g., %0 -d C:\Bruker\TopSpin4.1.3
	goto fail
)

set JAVA_HOME=%2\jre

if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: Given TopSpin directory does not contain a valid jre
echo.
echo Please specify the TopSpin installation directory with argument -d ^<TS installation dir^>.
echo E.g., %0 -d C:\Bruker\TopSpin4.1.3

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: Given TopSpin directory does not contain a valid jre
echo.
echo Please specify the TopSpin installation directory with argument -d ^<TS installation dir^>.
echo E.g., %0 -d C:\Bruker\TopSpin4.1.3

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\ts-log4shell-patch-1.0.5.jar;%APP_HOME%\lib\commons-cli-1.5.0.jar;%APP_HOME%\lib\commons-io-2.11.0.jar


@rem Execute ts-log4shell-patch
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %TS_LOG4SHELL_PATCH_OPTS%  -classpath "%CLASSPATH%" de.bruker.bio.topspin.log4shell.patch.TopSpinLog4ShellPatch %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable TS_LOG4SHELL_PATCH_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%TS_LOG4SHELL_PATCH_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega